package com.ym.mec.biz.dal.entity;

import com.ym.mec.biz.dal.enums.GoodsType;

import io.swagger.annotations.ApiModelProperty;

import org.apache.commons.lang3.builder.ToStringBuilder;

import java.math.BigDecimal;
import java.util.List;

/**
 * 对应数据库表(music_group_subject_goods_group):
 */
public class MusicGroupSubjectGoodsGroup {

	/**  */
	private Long id;
	
	/** 名称 */
	@ApiModelProperty(value = "商品打包名称",required = false)
	private String name;
	
	/** 类型(乐器、辅件、教材) */
	@ApiModelProperty(value = "商品类型",required = false)
	private GoodsType type;
	
	/**  */
	@ApiModelProperty(value = "乐团编号",required = false)
	private String musicGroupId;
	
	/**  */
	@ApiModelProperty(value = "科目编号",required = false)
	private Integer subjectId;
	
	/** 商品列表(用逗号,分开) */
	@ApiModelProperty(value = "商品列表(用逗号,分开)",required = false)
	private String goodsIdList;

	@ApiModelProperty(value = "商品名称列表",required = false)
	private List<String> goodsName;
	
	/**  */
	private java.util.Date createTime;
	
	/**  */
	private java.util.Date updateTime;
	
	/** 打包价格 */
	@ApiModelProperty(value = "打包价格",required = false)
	private BigDecimal price;

	public List<String> getGoodsName() {
		return goodsName;
	}

	public void setGoodsName(List<String> goodsName) {
		this.goodsName = goodsName;
	}

	public void setId(Long id){
		this.id = id;
	}
	
	public Long getId(){
		return this.id;
	}
			
	public void setName(String name){
		this.name = name;
	}
	
	public String getName(){
		return this.name;
	}

	public GoodsType getType() {
		return type;
	}

	public void setType(GoodsType type) {
		this.type = type;
	}

	public void setMusicGroupId(String musicGroupId){
		this.musicGroupId = musicGroupId;
	}
	
	public String getMusicGroupId(){
		return this.musicGroupId;
	}
			
	public void setSubjectId(Integer subjectId){
		this.subjectId = subjectId;
	}
	
	public Integer getSubjectId(){
		return this.subjectId;
	}
			
	public void setGoodsIdList(String goodsIdList){
		this.goodsIdList = goodsIdList;
	}
	
	public String getGoodsIdList(){
		return this.goodsIdList;
	}
			
	public void setCreateTime(java.util.Date createTime){
		this.createTime = createTime;
	}
	
	public java.util.Date getCreateTime(){
		return this.createTime;
	}
			
	public void setUpdateTime(java.util.Date updateTime){
		this.updateTime = updateTime;
	}
	
	public java.util.Date getUpdateTime(){
		return this.updateTime;
	}

	public BigDecimal getPrice() {
		return price;
	}

	public void setPrice(BigDecimal price) {
		this.price = price;
	}

	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
